/// <reference types="react" />
import { VariableSizeGrid } from 'react-window';
export declare const StyledCheckbox: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("../Checkbox").CheckboxProps & import("react").RefAttributes<HTMLInputElement>>, any, {}, never>;
export declare const StyledGroupCell: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledThumbnail: import("styled-components").StyledComponent<(<Role extends import("../Thumbnail/Thumbnail.types").ThumbnailRoles>(props: import("../Thumbnail").ThumbnailProps<Role> | (import("../Thumbnail/Thumbnail.types").BaseThumbnailProps & {
    ref?: import("../Thumbnail/Thumbnail.types").ThumbnailRef<Role> | undefined;
})) => import("react").JSX.Element) & {
    Placeholder: <Role_1 extends import("../Thumbnail/Thumbnail.types").ThumbnailRoles>(props: import("../Thumbnail/Thumbnail.types").PlaceholderProps<Role_1> | (import("../Thumbnail/Thumbnail.types").BasePlaceholderProps & {
        ref?: import("../Thumbnail/Thumbnail.types").ThumbnailRef<Role_1> | undefined;
    })) => import("react").JSX.Element;
}, any, {}, never>;
export declare const StyledVariableSizeGrid: import("styled-components").StyledComponent<typeof VariableSizeGrid, any, {}, never>;
export declare const StyledGroupTitle: import("styled-components").StyledComponent<import("react").ForwardRefExoticComponent<import("..").SpanAttributes & import("..").TypographyProps & import("react").RefAttributes<HTMLSpanElement>>, any, {}, never>;
export declare const StyledSpinnerWrapper: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const StyledThumbnailGrid: import("styled-components").StyledComponent<"div", any, {}, never>;
